
Foreman - Bug #312

Debian init: mongrel throws log errors if not started from /usr/share/foreman

06/07/2010 02:40 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Jochen Schalanda   

Category: Packaging   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Patch attached - tell start-stop-daemon to chdir to /usr/share/foreman before starting mongrel. Prevents:

!!! Path to log file not valid: log/mongrel.log

Associated revisions

Revision 3256bac1 - 06/17/2010 03:47 AM - Jochen Schalanda

Fixes #312 - Change working directory to $FOREMAN_HOME before starting.

History

#1 - 06/07/2010 02:41 PM - Ohad Levy

- Assignee set to Jochen Schalanda

#2 - 06/13/2010 08:47 AM - Jochen Schalanda

- File 0001-Fixes-312-Change-working-directory-to-FOREMAN_HOME-b.patch added

- % Done changed from 0 to 100

Updated init script and rebased on current 'develop' branch.

#3 - 06/17/2010 03:50 AM - Ohad Levy

- Category set to 21

- Target version set to 0.1-6

#4 - 06/17/2010 03:50 AM - Jochen Schalanda

- Status changed from New to Ready For Testing

Applied in changeset 3256bac1c389d60749cc6d68c99035f8df678abc.

#5 - 06/17/2010 03:50 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#6 - 10/15/2018 01:44 PM - Tomer Brisker

- Category changed from 21 to Packaging

Files

foreman-startup-fix 617 Bytes 06/07/2010 Dis Connect

0001-Fixes-312-Change-working-directory-to-FOREMAN_HOME-b.patch1.31 KB 06/13/2010 Jochen Schalanda
